<?php

class report_data_all {

    private $_reportdatas;
    private $_report;

    public function __construct($reportdatas)
    {
        $this->_reportdatas = $reportdatas;
        $this->_report = new StdClass();
        $this->getReportAllData();
    }

    private function getReportAllData()
    {
        $occupancys = array();
        $sessionslog = $this->_reportdatas[0]->sessionslog;
        $this->_report->userspoints = $this->_reportdatas[0]->summary->userspoints;
        $this->_report->userstakensessionsbyacronym = $this->_reportdatas[0]->summary->userstakensessionsbyacronym;
        foreach ($this->_reportdatas as $key => $data) {
            foreach ($data->sessions as $key1 => $sess) {
                $occupancys[$key1] = $sess;
            }
            if ($key !== 0) {
                foreach ($data->sessionslog as $keys => $log) {
                   foreach ($log as $l) {
                       $sessionslog[$keys][$l->id] = $l;
                   }
                }
            }
            foreach ($data->statuses as $statusId => $status) {
                $this->_report->statuses[$statusId] = $status;
            }

            foreach ($data->summary->userspoints as $userId => $userspoint) {
                    if ($key == 0)
                        continue;
                    foreach ($userspoint as $pointKey => $point) {
                        $this->_report->userspoints[$userId]->{$pointKey} +=  $point;
                    }
            }
             foreach ($data->summary->userstakensessionsbyacronym as $userId => $userstakensessionsbyacronym) {
                 if ($key == 0)
                     continue;
                 foreach ($userstakensessionsbyacronym[0] as $acronymKey => $acronym) {
                     $this->_report->userstakensessionsbyacronym[$userId][0][$acronymKey] +=  $acronym;
                 }
             }

            $this->_report->courses[$data->att->course->id] = array(
                'id' => $data->att->course->id,
                'shortname' => $data->att->course->shortname,
                'fullname' => $data->att->course->fullname
            );
        }

        $this->_report->statusesfromcource = $this->_reportdatas[0]->statuses;
        $this->_report->sessionslog = $sessionslog;
        $this->_report->sessions = $occupancys;
        $this->_report->sessionssort = $this->sortSession($occupancys);
        $this->_report->users = $this->_reportdatas[0]->users;
        return $this->_report;
    }

    public function sortSession($sessions)
    {
        if (!$sessions) {
            return $sessions;
        }
        $keys = array_keys($sessions);
        $sort = array();
        foreach ($keys as $key) {
            $sort[$key] = $sessions[$key]->sessdate;
        }
        asort($sort);
        return $sort;
    }

    public function render()
    {
        return self::renderPartial(
            'mod_attendance_report_all',
            array(
                'reportdatas' => $this->_report
            )
        );
    }

    public static function renderPartial($filename,$variables=array(),$output=true)
    {
        extract($variables);
        if( file_exists(dirname(__DIR__).'/tpls/'.str_replace('..','',$filename).'.php') ){
            if( !$output )
                ob_start();
            include dirname(__DIR__).'/tpls/'.$filename.'.php';
            return !$output?ob_get_clean():true;
        } else throw new Exception('File '. dirname(__DIR__).'/tpls/'.$filename.'.php not found');

    }

}